%define upstream_name    JSON-XS
%define upstream_version 4.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    JSON (JavaScript Object Notation) serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Types::Serialiser)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel
Requires:   perl(common::sense)
%description
JSON serialising/deserialising, done correctly and fast.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export PERL_CANARY_STABILITY_NOPROMPT=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%defattr(0644,root,root,0755)
%doc COPYING Changes META.json META.yml MYMETA.yml README XS eg
%{_mandir}/*/*
%{_bindir}/json_xs
%{perl_vendorarch}/JSON*
%{perl_vendorarch}/auto/JSON/XS/*

%changelog
* Wed Oct 28 2020 tv <tv> 1:4.30.0-1.mga8
+ Revision: 1639945
- update to 4.03

* Wed Jun 17 2020 umeabot <umeabot> 1:4.20.0-4.mga8
+ Revision: 1594830
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1:4.20.0-3.mga8
+ Revision: 1528832
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 1:4.20.0-2.mga8
+ Revision: 1432697
- rebuild with perl-5.30

* Wed Mar 06 2019 tv <tv> 1:4.20.0-1.mga7
+ Revision: 1371956
- update to 4.02

* Sun Feb 24 2019 tv <tv> 1:4.10.0-1.mga7
+ Revision: 1369776
- update to 4.01

* Tue Nov 20 2018 tv <tv> 1:4.0.0-1.mga7
+ Revision: 1332356
- update to 4.0

* Fri Sep 21 2018 umeabot <umeabot> 1:3.40.0-4.mga7
+ Revision: 1293274
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1:3.40.0-3.mga7
+ Revision: 1249502
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1:3.40.0-2.mga7
+ Revision: 1165058
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1:3.40.0-1.mga7
+ Revision: 1154265
- new release

* Sat Sep 02 2017 tv <tv> 1:3.20.0-4.mga7
+ Revision: 1150592
- rebuild for fixed perl

* Sat Jul 22 2017 neoclust <neoclust> 1:3.20.0-3.mga7
+ Revision: 1126544
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1:3.20.0-2.mga6
+ Revision: 1028886
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1:3.20.0-1.mga6
+ Revision: 1001997
- update to 3.02

* Fri Feb 12 2016 umeabot <umeabot> 1:3.10.0-7.mga6
+ Revision: 957581
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:3.10.0-6.mga6
+ Revision: 844935
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1:3.10.0-5.mga6
+ Revision: 840847
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1:3.10.0-4.mga5
+ Revision: 743762
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1:3.10.0-3.mga5
+ Revision: 685147
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1:3.10.0-2.mga5
+ Revision: 631330
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 1:3.10.0-1.mga5
+ Revision: 585276
- update to 3.01

* Sat Oct 19 2013 umeabot <umeabot> 1:2.340.0-2.mga4
+ Revision: 525979
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1:2.340.0-1.mga4
+ Revision: 435035
- update to 2.34

* Wed May 29 2013 jquelin <jquelin> 1:2.330.0-3.mga4
+ Revision: 430911
- fix hash ordering (rt#84151)
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:2.330.0-2.mga3
+ Revision: 368810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1:2.330.0-1.mga3
+ Revision: 286219
- update to 2.33

* Wed May 30 2012 jquelin <jquelin> 1:2.320.0-2.mga3
+ Revision: 250798
- rebuild for perl 5.16
- update to 2.32
+ kharec <kharec>
- update to 2.31

* Sun Jun 12 2011 sander85 <sander85> 1:2.300.0-2.mga2
+ Revision: 104714
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1:2.300.0-1.mga1
+ Revision: 33893
- mageia rebuild
- imported package perl-JSON-XS

